From b9a51ad4651e2ea9ca3ae13e347c256c10ffcc49 Mon Sep 17 00:00:00 2001
Message-Id: <b9a51ad4651e2ea9ca3ae13e347c256c10ffcc49.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:38:25 +0200
Subject: [PATCH 051/114] Revert "qemu-ga: Remove unreachable code after
 g_error"

This reverts commit 2d1bb08c6d993879bfec07fafe8afc95223930c6.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qemu-ga.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/qemu-ga.c b/qemu-ga.c
index 7402415..73f660c 100644
--- a/qemu-ga.c
+++ b/qemu-ga.c
@@ -114,10 +114,12 @@ static gboolean register_signal_handlers(void)
     ret = sigaction(SIGINT, &sigact, NULL);
     if (ret == -1) {
         g_error("error configuring signal handler: %s", strerror(errno));
+        return false;
     }
     ret = sigaction(SIGTERM, &sigact, NULL);
     if (ret == -1) {
         g_error("error configuring signal handler: %s", strerror(errno));
+        return false;
     }
 
     return true;
-- 
1.7.11.7

